#include <iostream>

using namespace std;

int main()
{
    string s;
    int a, b;
    cin>>s>>a>>b;
    if(abs(a-b)>1){
        cout<<"nemoguce";
        return 0;
    }
    if(a==b){
        while(a--){
            cout<<s;
        }
        return 0;
    }
    if(a==b+1){
        while(b--){
            cout<<s;
        }
        cout<<s[0];
        return 0;
    }
    cout<<s[1];
    while(a--){
        cout<<s;
    }
    return 0;
}